Cyberduck Mountain Duck CLI

#9301 closed defect (worksforme)

Connection time out on all downloads using segmented option

Reported by: dybercuck Owned by: dkocher
Priority: normal Milestone: 5.0
Component: ftp Version: 4.8
Severity: critical Keywords: segmented, time out, error
Cc: Architecture: Intel
Platform: Mac OS X 10.11

Description

Firstly, Log Drawer is blank, unfortunately.

Each of my downloads ends in a connection timed out error.

I'm downloading the top file on the screenshot, It's Always Sunny.

There is a new folder created on my server, 9 segments of the single file I'm downloading. Never had lftp do this, so not sure if I should be seeing the segmenting process like that. The extra file with segments stays after the download is done.

The download gets to 100%, then goes past it a few MB and gives me that connection time out. Same thing every time. If I resume the download, it starts from 0% again and takes just as long. I can't complete any downloads.

On my local drive there is a single file appended .cyberducksegment, and packaged inside is the 9 segments. Again, not sure if I should be seeing that, I'm expecting a re-combined file at the end.

Attachments (1)

Screen Shot 2016-02-25 at 12.45.09 PM.png (968.4 KB) - added by dybercuck on Feb 25, 2016 at 6:04:43 PM.
time out occurs AFTER reaching 100% and resetting to 0%

Download all attachments as: .zip

Change History (10)

Changed on Feb 25, 2016 at 6:04:43 PM by dybercuck

time out occurs AFTER reaching 100% and resetting to 0%

comment:1 Changed on Feb 25, 2016 at 6:13:16 PM by dybercuck

I should note-

I tried your last version 4.7 a while back and did the terminal command to enable segmenting in hidden features. That setup wouldn't complete downloads so I abandoned it for a while. Today, I uninstalled 4.7 with appzapper so I could install 4.8 fresh.

If there is a plist or something I should delete manually let me know.

Also, I'm only using this for sFTP into chips.whatbox.ca for my seedbox. I've tested the same functions in lftp and segmenting works fine.

comment:2 Changed on Feb 25, 2016 at 8:31:13 PM by dkocher

You can disable segmented downloads by entering

defaults delete ch.sudo.cyberduck queue.download.segments.threshold 

comment:3 Changed on Feb 25, 2016 at 9:15:05 PM by dybercuck

Segmented downloading is a must have for me, downloads from my seedbox are painful without it.

Have you encountered this issue? Any steps I can take to troubleshoot it?

comment:4 Changed on Feb 26, 2016 at 10:07:30 AM by dkocher

  • Milestone set to 5.0
  • Status changed from new to assigned

comment:5 Changed on Feb 26, 2016 at 10:08:18 AM by dkocher

  • Summary changed from Connection time out on all downloads to Connection time out on all downloads using segmented option

comment:6 Changed on Apr 19, 2016 at 12:08:11 PM by dkocher

It is not clear to me why you see .cyberducksegment files on the server. You must have uploaded these with another transfer. The feature works by starting multiple transfers with different offsets for the same file and placing these into a .cyberducksegment folder on your local drive before the files get concatenated when the transfer is complete.

comment:7 Changed on Apr 19, 2016 at 12:08:35 PM by dkocher

Please post the transcript from the log drawer of the Transfers window. Choose ⌘-L on Mac or right-click the toolbar from the Transfers window and choose Log on Windows

comment:8 Changed on Apr 19, 2016 at 12:08:43 PM by dkocher

  • Resolution set to worksforme
  • Status changed from assigned to closed

comment:9 Changed on Apr 19, 2016 at 11:37:47 PM by dybercuck

Yeah, I didn't upload those files to the server. Cyberduck would segment the files on my server for some reason before transferring them. There was all kinds of screwy stuff going on. The files were not concatenated, because the transfer would never end. It would get to 100%, and then turn over to 0%, and then time out. The segmented files would be all over the place by that time, with the only complete file being the original on my server.

Sorry I didn't reply to your transcript request immediately, it has been two months since I posted this ticket and obviously I couldn't wait two months to have working ftp, so I moved on.

Note: See TracTickets for help on using tickets.
swiss made software